
Figure - Bug #118275
Bug # 118052 (CLOSED): 【IOVDEV-28498】【IOVDEV-32043】【IOVDEV-31956】【IOVDEV-33351】【内部】【VC1】【0095】【台架】【EE环境】【

副屏】monkey中断，疑似重启过�

【IOVDEV-30661】【内部】【VC1】【100】【台架】【EE环境】【副屏】进行money稳定性测试后，副屏自
动进入屏保页
2023-05-26 17:04 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.C101����【副屏版本号】：01.00.100.c103

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230526 08：10

【前提条件】：副屏上电

连接中控、时间与中控时间同步

网络连接情况正常

无开启开发者模式

副屏桌面无第三方应用

【操作步骤】

1.升级100副屏版本

2.副屏进行money稳定性测试

【实际结果】

1.副屏进行money稳定性测试，26号早上副屏自动进入屏保页

【期望结果】

1.副屏进行money稳定性测试，26号早上副屏自动进入屏保页

【备注】：

【当前开机次数】：副屏当前开机第117次

【百度应用版本】：10.6.1003.9

【硬件版本号】：

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.100.c103

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402
History

#1 - 2023-05-26 17:04 - CDTS_Test 吴诗雨

日志正在下载，稍后提供

#2 - 2023-05-26 17:11 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118275

#3 - 2023-05-26 17:34 - CDTS-TEST 周婷

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

请尽快帮忙分析

#4 - 2023-05-26 19:32 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS-TEST 周婷

请帮忙确认此问题的问题点是什么？不可以进入屏保吗？

#5 - 2023-05-27 14:43 - CDTS-TEST 周婷

环境信息】EE环境

【问题出现时间】：20230526 08：10

【前提条件】：副屏上电

连接中控、时间与中控时间同步

网络连接情况正常

无开启开发者模式

副屏桌面无第三方应用

【操作步骤】

1.升级100副屏版本

2.副屏进行money稳定性测试

【实际结果】

1.副屏进行money稳定性测试，26号早上副屏自动进入屏保页

【期望结果】

1.副屏进行money稳定性测试，副屏持续运行，不自动进入屏保页

【备注】：

【当前开机次数】：副屏当前开机第117次
【百度应用版本】：10.6.1003.9

【硬件版本号】：

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.100.c103

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402

#6 - 2023-05-27 14:43 - CDTS-TEST 周婷

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS-TEST 周婷 to CD APP-王营

#7 - 2023-05-27 15:13 - CD APP-王营

【状态】

需要获取更多log，报告问题出现时间点8：10

根据log分析，monkey最后的执行时间如下

05-26 06:43:36.231  5470  5483 I Monkey  :     // Allowing start of Intent { act=android.intent.action.VIEW dat=http://nmn.stylar.hk/...

cmp=com.microsoft.emmx/org.chromium.chrome.browser.ChromeTabbedActivity } in package com.microsoft.emmx

【下一步】

获取8：10之前的log，分析monkey停掉的原因。

#8 - 2023-05-27 16:01 - CDTS-TEST 周婷

log 已飞书提供给王营

#9 - 2023-05-27 16:24 - CD APP-王营

【状态】

收到云端下载的log：

1685174359535.zip

 此log为下午6：00-11：00，没有早上8：10之前的log

目前缺少log无法进一步分析

【下一步】

待提供新的log进行分析

#10 - 2023-05-27 16:27 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118275/1685175873379.zip 解码码M402

#11 - 2023-05-27 18:28 - CD APP-王营
- % Done changed from 0 to 80

【分析】

1、Monkey停止的原因是设备发生重启，surfaceFlinger空指针异常，已经有票在跟踪，提了高通case，验证中

异常log

05-26 06:43:39.859 10152 10152 F DEBUG   : Cause: null pointer dereference

05-26 06:43:39.859 10152 10152 F DEBUG   :     x0  b40000725c93e3f8  x1  0000007ff3ea7428  x2  00000070ec1fab30  x3  0000007ff3ea7268

05-26 06:43:39.859 10152 10152 F DEBUG   :     x4  0000000000000018  x5  00000000ffffffff  x6  00000000ffffffff  x7  747465732e64696f

05-26 06:43:39.859 10152 10152 F DEBUG   :     x8  b40000725c93bd20  x9  00000000000026d8  x10 0000000000000000  x11 0000000000000a00

05-26 06:43:39.859 10152 10152 F DEBUG   :     x12 000000000000000e  x13 00000000cb9ca38f  x14 b4000071cc2d77b8  x15 0000000000000000

05-26 06:43:39.859 10152 10152 F DEBUG   :     x16 000000615ac38c10  x17 00000073dc9d3ec0  x18 00000073e9030000  x19 0000000000000000

05-26 06:43:39.859 10152 10152 F DEBUG   :     x20 0000007ff3ea7428  x21 b40000725c93e3f8  x22 0000043800000a00  x23 b40000725c93bd20

05-26 06:43:39.860 10152 10152 F DEBUG   :     x24 00000073dc5e3240  x25 b40000726c1827a0  x26 00000073e8bb7000  x27 0000000000000438

05-26 06:43:39.860 10152 10152 F DEBUG   :     x28 0000000000000000  x29 0000007ff3ea7320

05-26 06:43:39.860 10152 10152 F DEBUG   :     lr  000000615a7ac650  sp  0000007ff3ea7320  pc  00000073dc9d3ee0  pst 0000000060001000

05-26 06:43:39.860 10152 10152 F DEBUG   : backtrace:

05-26 06:43:39.860 10152 10152 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #01 pc 000000000015f64c  /system/bin/surfaceflinger (android::LayerRenderArea::render(std::__1::function<void

()>)+944) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #02 pc 00000000001c63f8  /system/bin/surfaceflinger (ZNSt3

_120__packaged_task_funcIZN7android14SurfaceFlinger19captureScreenCommonENS_6futureINS_10unique_ptrINS1_10RenderAreaENS_14default_deleteIS5_EEEEE

ENS_8functionIFvRKNSA_IFvPNS1_5LayerEEEEEEERKNS_10shared_ptrINS1_12renderengine15ExternalTextureEEEbbRKNS1_2spINS1_3gui22IScreenCaptureListen

erEEEE4$_93NS_9allocatorISV_EEFvvEEclEv$8fd14edc326db0e9be510f46fb0c4dd5+368) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #03 pc 00000000001c5cc4  /system/bin/surfaceflinger (

ZN7android4TaskIZNS_14SurfaceFlinger19captureScreenCommonENSt3

_16futureINS2_10unique_ptrINS_10RenderAreaENS2_14default_deleteIS5_EEEEEENS2_8functionIFvRKNSA_IFvPNS_5LayerEEEEEEERKNS2_10shared_ptrINS_12r

enderengine15ExternalTextureEEEbbRKNS_2spINS_3gui22IScreenCaptureListenerEEEE4$_93E13handleMessageERKNS_7MessageE$8fd14edc326db0e9be510f46fb0c4d

d5+92) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #04 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #05 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #06 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #07 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #08 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-26 06:43:39.860 10152 10152 F DEBUG   :       #09 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-26 06:43:39.886  1520  1896 W NativeCrashListener: Couldn't find ProcessRecord for pid 982

...

05-26 06:43:40.702 10168 10168 D AndroidRuntime: >>>>>> START com.android.internal.os.ZygoteInit uid 0 <<<<<<

05-26 06:43:40.702 10168 10168 I boot_progress_start: 43605822

...

05-26 06:43:41.615 10247 10247 I system_server_start: [2,43606734,43606734]

05-26 06:43:41.615 10247 10247 I SystemServer: Entered the Android system server!
【下一步】

参考关联问题118052测试结果。

#12 - 2023-05-29 10:14 - CDTS-TEST 周婷

- Parent task set to #118052

#13 - 2023-06-06 11:51 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- % Done changed from 80 to 100

- Resolution changed from -- to DUPLICATE

Hi 诗雨

此问题和118052是同一件bug，已关联，请在118052中跟踪此问题。

#14 - 2023-06-06 13:36 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#15 - 2023-06-06 13:36 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
